Bug 964463 - Kernel oops in radeon_ttm_tt_unpopulate() called by radeon_gem_object_free()
Kernel oops in radeon_ttm_tt_unpopulate() called by radeon_gem_object_free()
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2013-05-18 17:12 EDT by Victor Stinner
Modified: 2013-12-21 08:40 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-12-21 08:40:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
File: dmesg (79.95 KB, text/plain)
2013-05-18 17:12 EDT, Victor Stinner
no flags Details
Random pixels (1003.68 KB, image/png)
2013-05-18 17:24 EDT, Victor Stinner
no flags Details
Random pixels on desktop (3.89 MB, image/png)
2013-05-18 17:55 EDT, Victor Stinner
no flags Details
Xorg logs (after the downgrade) (54.91 KB, text/x-log)
2013-05-21 16:30 EDT, Victor Stinner
no flags Details

  None (edit)
Description Victor Stinner 2013-05-18 17:12:54 EDT
Description of problem:
I was typing in Terminal (XFCE Terminal).

Additional info:
general protection fault: 0000 [#1] SMP 
Modules linked in: ebtable_nat xt_CHECKSUM bridge stp llc rfcomm ipt_MASQUERADE nf_conntrack_netbios_ns nf_conntrack_broadcast be2iscsi iscsi_boot_sysfs bnx2i cnic uio ip6table_mangle ip6t_REJECT cxgb4i nf_conntrack_ipv6 nf_defrag_ipv6 cxgb4 iptable_nat cxgb3i nf_nat_ipv4 nf_nat cxgb3 iptable_mangle mdio libcxgbi nf_conntrack_ipv4 ib_iser nf_defrag_ipv4 rdma_cm ib_addr iw_cm xt_conntrack nf_conntrack ib_cm ib_sa ib_mad ib_core bnep bluetooth ebtable_filter iscsi_tcp ebtables libiscsi_tcp libiscsi ip6table_filter ip6_tables scsi_transport_iscsi snd_hda_codec_hdmi snd_hda_codec_realtek snd_hda_intel snd_hda_codec snd_hwdep snd_seq iTCO_wdt eeepc_wmi snd_seq_device vhost_net snd_pcm tun macvtap macvlan coretemp asus_wmi snd_page_alloc kvm_intel sparse_keymap snd_timer iTCO_vendor_support r8169 kvm lpc_ich snd rfkill uinput mei video microcode soundcore i2c_i801 binfmt_misc serio_raw mfd_core mii usb_storage radeon i2c_algo_bit drm_kms_helper firewire_ohci ttm ata_generic pata_acpi raid0 mxm_wmi crc32c_intel drm ghash_clmulni_intel firewire_core pata_marvell i2c_core crc_itu_t wmi
CPU 0 
Pid: 911, comm: X Not tainted 3.7.7-201.fc18.x86_64 #1 System manufacturer System Product Name/P8P67 LE
RIP: 0010:[<ffffffffa0059ce0>]  [<ffffffffa0059ce0>] ttm_dma_unpopulate+0x160/0x320 [ttm]
RSP: 0018:ffff880328e3db88  EFLAGS: 00010203
RAX: 00ece9d800ece9d8 RBX: ffff880329376000 RCX: 000000003685e000
RDX: ffffc900067d3000 RSI: 0000000000000359 RDI: 00ece9d800ece9d8
RBP: ffff880328e3dbc8 R08: 0000000000000002 R09: 0000000000000000
R10: 00007fff94b1d240 R11: 0000000000000000 R12: ffff880329376000
R13: ffff88032bcfcd00 R14: 000000000000035a R15: ffff8803032fb088
FS:  00007f8b9b9b4940(0000) GS:ffff88033f400000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 00007f8b941c7f80 CR3: 000000031d4d5000 CR4: 00000000000407f0
DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
DR3: 0000000000000000 DR6: 00000000ffff0ff0 DR7: 0000000000000400
Process X (pid: 911, threadinfo ffff880328e3c000, task ffff880327a64560)
 ffff880328e3dbe8 ffff88032bcfcd58 ffff880328e3dbb8 ffff88032bcfcd00
 ffff88032b052590 ffff88032b052590 ffff8803032fb048 ffff8803032fb088
 ffff880328e3dbf8 ffffffffa0113f3f ffff880329376900 ffff88032bcfcd00
Call Trace:
 [<ffffffffa0113f3f>] radeon_ttm_tt_unpopulate+0xef/0x100 [radeon]
 [<ffffffffa0051101>] ttm_tt_destroy+0x31/0x70 [ttm]
 [<ffffffffa00516d3>] ttm_bo_cleanup_memtype_use+0x43/0xa0 [ttm]
 [<ffffffffa0052980>] ttm_bo_release+0x1d0/0x200 [ttm]
 [<ffffffffa00529f2>] ttm_bo_unref+0x42/0x60 [ttm]
 [<ffffffffa0114d97>] radeon_bo_unref+0x47/0x80 [radeon]
 [<ffffffffa0127249>] radeon_gem_object_free+0x39/0x40 [radeon]
 [<ffffffffa007f99a>] drm_gem_object_free+0x2a/0x30 [drm]
 [<ffffffffa0080040>] drm_gem_handle_delete+0xf0/0x120 [drm]
 [<ffffffffa0080488>] drm_gem_close_ioctl+0x28/0x30 [drm]
 [<ffffffffa007e4a3>] drm_ioctl+0x4d3/0x580 [drm]
 [<ffffffffa0080460>] ? drm_gem_destroy+0x60/0x60 [drm]
 [<ffffffff8115710c>] ? tlb_finish_mmu+0x1c/0x50
 [<ffffffff811a6519>] do_vfs_ioctl+0x99/0x580
 [<ffffffff8128bd0a>] ? inode_has_perm.isra.31.constprop.61+0x2a/0x30
 [<ffffffff8128d0d7>] ? file_has_perm+0x97/0xb0
 [<ffffffff81160608>] ? do_munmap+0x328/0x400
 [<ffffffff811a6a91>] sys_ioctl+0x91/0xb0
 [<ffffffff810dcaac>] ? __audit_syscall_exit+0x3ec/0x450
 [<ffffffff8163f999>] system_call_fastpath+0x16/0x1b
Code: 8b 14 24 75 ed 45 31 e4 0f 1f 00 49 8b 45 58 49 8d 55 58 48 89 55 c8 48 39 d0 0f 84 b3 01 00 00 45 31 f6 0f 1f 84 00 00 00 00 00 <48> 8b 78 18 49 8b 55 18 44 89 f6 41 83 c6 01 48 89 3c f2 48 8b 
RIP  [<ffffffffa0059ce0>] ttm_dma_unpopulate+0x160/0x320 [ttm]
 RSP <ffff880328e3db88>
Comment 1 Victor Stinner 2013-05-18 17:12:59 EDT
Created attachment 749742 [details]
File: dmesg
Comment 2 Victor Stinner 2013-05-18 17:24:01 EDT
Created attachment 749764 [details]
Random pixels

My XFCE desktop was filled by many random pixels. When a window is redrawed, most random pixels disappear. When I move a window, I get more random pixels.


I tried kernel 3.7, 3.8 and 3.9: I have the same issue (random pixels in Xorg). I upgraded my Fedora recently, and I didn't have this issue before.
Comment 3 Victor Stinner 2013-05-18 17:42:36 EDT
My GPU is "ATI Radeon HD 5570", and Xorg uses the radeon driver according to this Xorg log:

[    28.297] (--) RADEON(0): Chipset: "ATI Radeon HD 5570" (ChipID = 0x68d9)

Driver version according to rpm:

$ rpm -qi xorg-x11-drv-ati
Name        : xorg-x11-drv-ati
Version     : 7.0.0
Release     : 0.9.20121015gitbd9e2c064.fc18
Architecture: x86_64
Install Date: mer. 06 mars 2013 01:14:23 CET
Group       : User Interface/X Hardware Support
Size        : 413992
License     : MIT
Signature   : RSA/SHA256, jeu. 14 févr. 2013 17:19:03 CET, Key ID ff01125cde7f38bd
Source RPM  : xorg-x11-drv-ati-7.0.0-0.9.20121015gitbd9e2c064.fc18.src.rpm
Build Date  : jeu. 14 févr. 2013 16:19:04 CET
Build Host  : buildhw-02.phx2.fedoraproject.org
Relocations : (not relocatable)
Packager    : Fedora Project
Vendor      : Fedora Project
URL         : http://www.x.org
Summary     : Xorg X11 ati video driver
Description :
X.Org X11 ati video driver.


Which kind of information do you need to diagnose this crash?
Comment 4 Victor Stinner 2013-05-18 17:55:18 EDT
Created attachment 749765 [details]
Random pixels on desktop

Another screen shot of my whole desktop (I have two screens) to see random pixels.
Comment 5 Victor Stinner 2013-05-21 16:02:45 EDT
It looks like the crash is related to a new version of a mesa library. Downgrading mesa libraries fixed the issue:

sudo yum downgrade mesa-{libGL,libEGL,libgbm,libglapi,dri-drivers,libGL-devel,libxatracker} llvm-libs
Comment 6 Victor Stinner 2013-05-21 16:20:08 EDT
Logs of the downgrade:

Supprimé :
  llvm-libs.x86_64 0:3.2-2.fc18          mesa-dri-drivers.x86_64 0:9.1-3.fc18   
  mesa-libEGL.x86_64 0:9.1-3.fc18        mesa-libGL.x86_64 0:9.1-3.fc18         
  mesa-libGL-devel.x86_64 0:9.1-3.fc18   mesa-libgbm.x86_64 0:9.1-3.fc18        
  mesa-libglapi.x86_64 0:9.1-3.fc18      mesa-libxatracker.x86_64 0:9.1-3.fc18  

Installé :
  llvm-libs.x86_64 0:3.1-11.fc18                                                
  mesa-dri-drivers.x86_64 0:9.0.1-1.fc18                                        
  mesa-libEGL.x86_64 0:9.0.1-1.fc18                                             
  mesa-libGL.x86_64 0:9.0.1-1.fc18                                              
  mesa-libGL-devel.x86_64 0:9.0.1-1.fc18                                        
  mesa-libgbm.x86_64 0:9.0.1-1.fc18                                             
  mesa-libglapi.x86_64 0:9.0.1-1.fc18                                           
  mesa-libxatracker.x86_64 0:9.0.1-1.fc18
Comment 7 Victor Stinner 2013-05-21 16:30:53 EDT
Created attachment 751369 [details]
Xorg logs (after the downgrade)

I'm using XFCE 4.10. The compositor is disabled.
Comment 8 Victor Stinner 2013-05-22 16:54:12 EDT
I just had the issue again with the latest mesa and Xorg versions, 20 minutes after the boot, in XFCE. I connected to this desktop computer using a laptop through SSH to run "Xorg -retro :1". At the first try, I didn't see any random pixels, but it's hard to see them on the Xorg -retro background, so I'm not sure. At the second try (stop Xorg -retro and type again the command), I had also random pixels. I don't know what it does mean.
Comment 9 Fedora End Of Life 2013-12-21 08:37:06 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 10 Victor Stinner 2013-12-21 08:40:03 EST
I'm sorry, I forgot to close the issue. It was an hardware problem: I manually turned off the fan 2 years ago, but recently, the GPU started to bug. I fixed the issue by plugging again the noisy fan. I fixed again the issue by replacing the ATI by a fan-less Nvidia card :-)

Sorry for the noise!

Note You need to log in before you can comment on or make changes to this bug.